<?php

/**
 * DAOFactory
 * @author: http://phpdao.com
 * @date: ${date}
 */
class DAOFactory{
	
	/**
	 * @return AccountmovementDAO
	 */
	public static function getAccountmovementDAO(){
		return new AccountmovementMySqlExtDAO();
	}

	/**
	 * @return AssetsDAO
	 */
	public static function getAssetsDAO(){
		return new AssetsMySqlExtDAO();
	}

	/**
	 * @return BankDAO
	 */
	public static function getBankDAO(){
		return new BankMySqlExtDAO();
	}

	/**
	 * @return BankaccountDAO
	 */
	public static function getBankaccountDAO(){
		return new BankaccountMySqlExtDAO();
	}

	/**
	 * @return BillnameDAO
	 */
	public static function getBillnameDAO(){
		return new BillnameMySqlExtDAO();
	}

	/**
	 * @return BillpropertyDAO
	 */
	public static function getBillpropertyDAO(){
		return new BillpropertyMySqlExtDAO();
	}

	/**
	 * @return BillsettingsDAO
	 */
	public static function getBillsettingsDAO(){
		return new BillsettingsMySqlExtDAO();
	}

	/**
	 * @return BuybillDAO
	 */
	public static function getBuybillDAO(){
		return new BuybillMySqlExtDAO();
	}

	/**
	 * @return BuybilldetailDAO
	 */
	public static function getBuybilldetailDAO(){
		return new BuybilldetailMySqlExtDAO();
	}

	/**
	 * @return CapitalDAO
	 */
	public static function getCapitalDAO(){
		return new CapitalMySqlExtDAO();
	}

	/**
	 * @return CheckdepositDAO
	 */
	public static function getCheckdepositDAO(){
		return new CheckdepositMySqlExtDAO();
	}

	/**
	 * @return CheckwithdrawalDAO
	 */
	public static function getCheckwithdrawalDAO(){
		return new CheckwithdrawalMySqlExtDAO();
	}

	/**
	 * @return ClientDAO
	 */
	public static function getClientDAO(){
		return new ClientMySqlExtDAO();
	}

	/**
	 * @return ClientdebtchangeDAO
	 */
	public static function getClientdebtchangeDAO(){
		return new ClientdebtchangeMySqlExtDAO();
	}

	/**
	 * @return ExpensesDAO
	 */
	public static function getExpensesDAO(){
		return new ExpensesMySqlExtDAO();
	}

	/**
	 * @return ExpensestypeDAO
	 */
	public static function getExpensestypeDAO(){
		return new ExpensestypeMySqlExtDAO();
	}

	/**
	 * @return KempialaDAO
	 */
	public static function getKempialaDAO(){
		return new KempialaMySqlExtDAO();
	}

	/**
	 * @return MovementmanageDAO
	 */
	public static function getMovementmanageDAO(){
		return new MovementmanageMySqlExtDAO();
	}

	/**
	 * @return PartnerDAO
	 */
	public static function getPartnerDAO(){
		return new PartnerMySqlExtDAO();
	}

	/**
	 * @return PartnerwithdrawalDAO
	 */
	public static function getPartnerwithdrawalDAO(){
		return new PartnerwithdrawalMySqlExtDAO();
	}

	/**
	 * @return ProductDAO
	 */
	public static function getProductDAO(){
		return new ProductMySqlExtDAO();
	}

	/**
	 * @return ProductcatDAO
	 */
	public static function getProductcatDAO(){
		return new ProductcatMySqlExtDAO();
	}

	/**
	 * @return ProductserialDAO
	 */
	public static function getProductserialDAO(){
		return new ProductserialMySqlExtDAO();
	}

	/**
	 * @return ProductunitDAO
	 */
	public static function getProductunitDAO(){
		return new ProductunitMySqlExtDAO();
	}

	/**
	 * @return ProgramsettingsDAO
	 */
	public static function getProgramsettingsDAO(){
		return new ProgramsettingsMySqlExtDAO();
	}

	/**
	 * @return PropertiesDAO
	 */
	public static function getPropertiesDAO(){
		return new PropertiesMySqlExtDAO();
	}

	/**
	 * @return RelusergrouppropertiesDAO
	 */
	public static function getRelusergrouppropertiesDAO(){
		return new RelusergrouppropertiesMySqlExtDAO();
	}

	/**
	 * @return ReturnbuybillDAO
	 */
	public static function getReturnbuybillDAO(){
		return new ReturnbuybillMySqlExtDAO();
	}

	/**
	 * @return ReturnbuybilldetailDAO
	 */
	public static function getReturnbuybilldetailDAO(){
		return new ReturnbuybilldetailMySqlExtDAO();
	}

	/**
	 * @return ReturnsellbillDAO
	 */
	public static function getReturnsellbillDAO(){
		return new ReturnsellbillMySqlExtDAO();
	}

	/**
	 * @return ReturnsellbilldetailDAO
	 */
	public static function getReturnsellbilldetailDAO(){
		return new ReturnsellbilldetailMySqlExtDAO();
	}

	/**
	 * @return SaveDAO
	 */
	public static function getSaveDAO(){
		return new SaveMySqlExtDAO();
	}

	/**
	 * @return SavedailyDAO
	 */
	public static function getSavedailyDAO(){
		return new SavedailyMySqlExtDAO();
	}

	/**
	 * @return SellbillDAO
	 */
	public static function getSellbillDAO(){
		return new SellbillMySqlExtDAO();
	}

	/**
	 * @return SellbilldetailDAO
	 */
	public static function getSellbilldetailDAO(){
		return new SellbilldetailMySqlExtDAO();
	}

	/**
	 * @return StoreDAO
	 */
	public static function getStoreDAO(){
		return new StoreMySqlExtDAO();
	}

	/**
	 * @return StoredetailDAO
	 */
	public static function getStoredetailDAO(){
		return new StoredetailMySqlExtDAO();
	}

	/**
	 * @return StoremovementDAO
	 */
	public static function getStoremovementDAO(){
		return new StoremovementMySqlExtDAO();
	}

	/**
	 * @return StorereportDAO
	 */
	public static function getStorereportDAO(){
		return new StorereportMySqlExtDAO();
	}

	/**
	 * @return SupplierDAO
	 */
	public static function getSupplierDAO(){
		return new SupplierMySqlExtDAO();
	}

	/**
	 * @return SupplierdebtchangeDAO
	 */
	public static function getSupplierdebtchangeDAO(){
		return new SupplierdebtchangeMySqlExtDAO();
	}

	/**
	 * @return TransfermoneyDAO
	 */
	public static function getTransfermoneyDAO(){
		return new TransfermoneyMySqlExtDAO();
	}

	/**
	 * @return UnitDAO
	 */
	public static function getUnitDAO(){
		return new UnitMySqlExtDAO();
	}

	/**
	 * @return UserDAO
	 */
	public static function getUserDAO(){
		return new UserMySqlExtDAO();
	}

	/**
	 * @return UsergroupDAO
	 */
	public static function getUsergroupDAO(){
		return new UsergroupMySqlExtDAO();
	}


}
?>